from . import BaseSchema
from marshmallow import fields, validate, RAISE, INCLUDE, EXCLUDE

class LoginSchema(BaseSchema):
    account = fields.String(required=True)
    password = fields.String(required=True)
    class Meta:
        unknown = EXCLUDE

class RegisterSchema(BaseSchema):
    account = fields.String(required=True)
    username = fields.String(required=True)
    password = fields.String(required=True)

    class Meta:
        unknown = EXCLUDE